%global pypi_name oslo.policy

Summary:	OpenStack oslo.policy library	
Name:		python-oslo-policy
Version:	3.12.1
Release:	3%{?dist}
License:	Apache-2.0
URL:		https://opendev.org/openstack/%{pypi_name}
Source0:	%{pypi_source}	

BuildArch:	noarch

%description
This package provides an OpenStack library for policy.

%package -n python3-oslo-policy
Summary:	OpenStack oslo.policy library 

BuildRequires:  python3-devel python3-setuptools
BuildRequires:  python3-pbr python3-pip python3-wheel
BuildRequires:  python3-pyyaml python3-oslo-serialization python3-oslo-utils
BuildRequires:  python3-oslo-config python3-oslo-context python3-oslo-i18n
BuildRequires:  python3-stevedore python3-coverage python3-requests-mock
BuildRequires:  python3-requests python3-sphinx python3-oslotest python3-stestr
Requires:       python3-pyyaml python3-oslo-config python3-oslo-context
Requires:       python3-oslo-i18n python3-oslo-serialization python3-oslo-utils
Requires:       python3-requests python3-stevedore
Provides:       python-oslo-policy

%description -n python3-oslo-policy
This package provides an OpenStack library for policy.

%package help
Summary:	Development documents and examples for oslo.policy
Provides:	python3-oslo-policy-doc

%description help
This package provides an OpenStack library for policy.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
cp -arf doc %{buildroot}%{_pkgdocdir}

%check
%{__python3} setup.py test

%files -n python3-oslo-policy
%{_bindir}/*
%{python3_sitelib}/*
%{_docdir}/*

%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 3.12.1-3
- Rebuilt for loongarch64

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.12.1-2
- Rebuilt for loongarch release

* Fri Sep 22 2023 kianli <kianli@tencent.com> - 3.12.1-1
- Upgrade to 3.12.1

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.7.1-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.7.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.7.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 12 2023 Wang Guodong <gordonwwang@tencent.com> - 3.7.1-1
- initial build
